IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[SPWEB_KURUMDOSYATETKIKLER]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE SPWEB_KURUMDOSYATETKIKLER
GO

CREATE PROCEDURE [dbo].[SPWEB_KURUMDOSYATETKIKLER]
@cariid nvarchar(30), @dosyano int
AS
BEGIN
	DECLARE @CARINO INT = dbo.FN_BASIT_ID_SIFRE_AC(@cariid)


	SELECT	HTETKIK.HTETKIKID AS dtetkikid,
			HDOSYA.HDOSYAID as ddosyano,
			TITEM.ITEMADI as dtetkik,
			RIGHT(('00'+cast(datepart(day,HTETKIKKART.GIRISTARIH) as varchar)),2)+'/'+RIGHT(('00'+cast(datepart(month,HTETKIKKART.GIRISTARIH) as varchar)),2)+'/'+cast(datepart(year,HTETKIKKART.GIRISTARIH) as varchar) AS dtetkiktarih,			
			CASE WHEN (HTETKIK.DURUM=2 OR HTETKIK.TETKDURUMID=7) AND HESAPISL.IPTAL=0 AND HESAPISL.ONAYLI=1 AND HESAPISL.TEKLIF=0  THEN 1 ELSE 0 END AS dtamamlandi,			
			CASE WHEN HTETKIK.HTRAPORU IS NULL THEN 0 ELSE 1 END AS draporvar,			
			ISNULL(TTETKIKDURUM.ACIKLAMA,'') AS dtetkikdurum
	FROM	HDOSYA WITH(NOLOCK) 
	JOIN	HTETKIKKART WITH(NOLOCK) ON HTETKIKKART.HDOSYAID = HDOSYA.HDOSYAID
	JOIN	HTETKIK ON HTETKIK.HTETKIKKARTID = HTETKIKKART.HTETKIKKARTID
	JOIN	HESAPISL WITH(NOLOCK) ON HESAPISL.HESAPISLID = HTETKIK.HESAPISLID
	JOIN	TITEM WITH(NOLOCK) ON TITEM.ITEMID = HESAPISL.ITEMID
	JOIN	HKIMLIK WITH(NOLOCK) ON HKIMLIK.HKIMLIKID = HDOSYA.HKIMLIKID	
	JOIN	SUBELER WITH(NOLOCK) ON SUBELER.SUBEID=HDOSYA.SUBEID	
	JOIN	CARI WITH(NOLOCK) ON CARI.CARIID = HDOSYA.HKCARIID
	LEFT JOIN TTETKIKDURUM WITH(NOLOCK) ON TTETKIKDURUM.TETKIKDURUMID = HTETKIK.TETKDURUMID
	LEFT JOIN HOSGBDOKUMAN ON HOSGBDOKUMAN.HDOSYAID = HDOSYA.HDOSYAID
	WHERE	HDOSYA.HKCARIID=@CARINO
		AND HDOSYA.HDOSYAID=@dosyano	
END
GO

IF EXISTS (SELECT [name] FROM [sys].[database_principals] WHERE [type] = N'S' AND [name] = N'mediwebuser')
BEGIN
	BEGIN TRY
		GRANT EXECUTE ON [dbo].[SPWEB_KURUMDOSYATETKIKLER] TO [mediwebuser]
	END TRY
	BEGIN CATCH
	END CATCH
END
GO


